Bug 986593 - Maven repo: Incorrect versions in POM files
Summary: Maven repo: Incorrect versions in POM files
Status: VERIFIED
Alias: None
Product: JBoss Enterprise Portal Platform 6
Classification: JBoss
Component: Portal Packaging   
(Show other bugs)
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ER04
: 6.1.0
Assignee: Jean-frederic Clere
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-20 21:04 UTC by Miroslav Cupák
Modified: 2019-01-01 03:41 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Miroslav Cupák 2013-07-20 21:04:03 UTC
Description of problem:
gatein-dep-1.2.1.Final-redhat-1.pom uses variables to specify versions of dependencies. Some of these variables are not defined anywhere in the file or its parent.


Additional info:
List of problems:
[ERROR] 'dependencies.dependency.version' for javax.enterprise:cdi-api:jar must be a valid version but is '${version.cdi.spec}'. @ line 30, column 13
[ERROR] 'dependencies.dependency.version' for jgroups:jgroups:jar must be a valid version but is '${org.jgroups.version}'. @ line 123, column 13

Comment 2 hfnukal@redhat.com 2013-08-22 11:06:47 UTC
Fixed in gatein-dep-1.2.1.Final-redhat-2.pom


Note You need to log in before you can comment on or make changes to this bug.